import { createRouter, createWebHistory } from 'vue-router';
import Home from '../pages/Home';

const routes = [
  {
    path: '/',
    name: 'Home',
    component: Home,
  },
  {
    path: '/about',
    name: 'About',
    component: () => import(/* webpackChunkName: "about" */ '../pages/About'),
  },
  {
    path: '/enterprise/certification',
    name: 'Certification',
    component: () => import(/* webpackChunkName: "enterprise" */ '../pages/Enterprise/Certification')
  },
  {
    path: '/enterprise/audit',
    name: 'Audit',
    component: () => import(/* webpackChunkName: "enterprise" */ '../pages/Enterprise/Audit')
  },
  {
    path: '/enterprise/establish',
    name: 'Establish',
    component: () => import(/* webpackChunkName: "enterprise" */ '../pages/Enterprise/Establish')
  }
];

const router = createRouter({
  history: createWebHistory('/app/op-management'),
  routes,
});

export default router;
